module.exports = {
  create: {
    requestBody: ["!url", "!subid", "!teacher", "!teacherid", "touser"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["!url", "!subid", "!teacher", "!teacherid", "touser"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        subid: "subid",
        teacher: "teacher",
        teacherid: "teacherid",
        touser: "touser",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
